## xadrez 0.1.1

=== Makefile ===
# Makefile
#
# Xadrez - A p2p chess written in Haskell
# Copyright (C) 2005 Marco Tulio Gontijo e Silva
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SHELL = /bin/sh

.PHONY : all clean install uninstall

all : src
	make -C src

clean : 
	make -C src clean

install : src doc
	make -C src install
	make -C doc

uninstall :
	make -C src uninstall
	make -C doc uninstall

=== doc/Makefile ===
# Makefile
#
# Xadrez - A p2p chess written in Haskell
# Copyright (C) 2005 Marco Tulio Gontijo e Silva
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SHELL = /bin/sh
srcdir = .
prefix = /usr/local
debian_prefix = $(DESTDIR)$(prefix)
datadir = $(debian_prefix)/share
mandir = $(datadir)/man
man1dir = $(mandir)/man1

.PHONY : install uninstall

install : $(srcdir)/xadrez.1
	install -D -m644 $(srcdir)/xadrez.1 $(man1dir)/xadrez.1

uninstall :
	-rm -f $(man1dir)/xadrez.1

=== src/Makefile ===
# Makefile
#
# Xadrez - A p2p chess written in Haskell
# Copyright (C) 2005 Marco Tulio Gontijo e Silva
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SHELL = /bin/sh
HC = ghc
BIN = xadrez
HC_OPTS = -o $(BIN) --make -Wall -O2 -package Cabal
SRCS = Piece.hs Board.hs Tests.hs Input.hs Connection.hs Opts.hs Main.hs
IFS = $(SRCS:.hs=.hi)
OBJS = $(SRCS:.hs=.o)
srcdir = .
prefix = /usr/local
debian_prefix = $(DESTDIR)$(prefix)
exec_prefix = $(debian_prefix)
bindir = $(exec_prefix)/bin

.PHONY : all clean install uninstall

all : $(srcdir)/$(SRCS)
	$(HC) -I$(srcdir) $(HC_OPTS) Main.hs

clean : 
	-rm -f $(IFS) $(OBJS) $(BIN)

install : $(BIN)
	install -D -m755 $(BIN) $(bindir)/$(BIN)

uninstall :
	-rm -f $(bindir)/$(BIN)

=== debian/changelog ===
xadrez (0.1.1) unstable; urgency=low

  * Initial Release.

 -- Marco Tulio Gontijo e Silva (marcot) <marcot@ufmg.br>  Sun, 24 Apr 2005 11:37:14 -0300

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xadrez
Section: games
Priority: optional
Maintainer: Marco Tulio Gontijo e Silva (marcot) <marcot@ufmg.br>
Build-Depends: debhelper (>= 4.0.0), ghc6. libghc6-cabal-dev
Standards-Version: 3.6.1

Package: xadrez
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A very easy and lightweigth console chess game
 Xadrez is a point to point implementation of the chess game in haskell. It has
 an easy configuration and simple interface, doesn't require X server and is
 very lightweigth. 
 . 
 It can be downloaded from 
 https://savannah.nongnu.org/projects/xadrez-haskell/ .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/xadrez.sgml > xadrez.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/xadrez.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xadrez prefix=/usr/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
